singularity(1)

NAME

singularity-key-pull - Download a public key from a key server

SYNOPSIS

singularity key pull [pull options...]

DESCRIPTION

The 'key pull' command allows you to retrieve public key material from a
  remote key server, and add it to your keyring. Note that Singularity consults
  your keyring when running commands such as 'singularity verify', and thus
  adding a key to your keyring implies a level of trust. Because of this, it is
  recommended that you verify the fingerprint of the key with its owner prior
  to running this command.

OPTIONS

-g, --global[=false]
    manage global public keys (import/pull/remove are restricted to root user or unprivileged installation only)

-h, --help[=false]
    help for pull

-u, --url=""
    specify the key server URL

EXAMPLE

      $ singularity key pull 8883491F4268F173C6E5DC49EDECE4F3F38D871E

SEE ALSO

singularity-key(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra